/*	$Id: speett-struct.h 2008/04/21 13:56:54 mallet $ */

/* Copyright (c) 2007 IS/AIST-ST2I/CNRS
 *	Joint Japanese-French Robotics Laboratory (JRL).
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/* --- Authored by Anthony Mallet on Sun Apr 13 2008 --- */

#ifndef H_SPEETT_STRUCT
#define H_SPEETT_STRUCT

/** Init request parameters */
typedef struct spt_init_p {
  char model_base[1024];	/**< language model base name */
} spt_init_p;

/** Listen request parameters */
typedef struct spt_listen_p {
  char stop[256];		/**< stop word */
} spt_listen_p;

/** Pop request parameters */
typedef enum spt_popdate_p {
  SPT_POP_OLDEST,
  SPT_POP_LATEST
} spt_popdate_p;

typedef enum spt_popblock_p {
  SPT_POP_BLOCK,
  SPT_POP_NOBLOCK
} spt_popblock_p;

typedef struct spt_pop_p {
  spt_popdate_p date;
  spt_popblock_p block;
} spt_pop_p;

/** Pop request output */
typedef struct spt_pop_o {
  char sentence[1024];		/**< retrieved sentence */
} spt_pop_o;

#endif /* H_SPEETT_STRUCT */
